%global package_name zipstream-ng
%global pypi_name zipstream_ng

Name:           python-%{package_name}
Version:        1.8.0
Release:        %autorelease -b 1
Summary:        A modern and easy to use streamable zip file generator

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        LGPL-3.0-only
URL:            https://github.com/pR0Ps/%{package_name}
Source:         %{pypi_source %{pypi_name}}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A modern and easy to use streamable zip file generator. It can package and
stream many files and folders into a zip on the fly without needing temporary
files or excessive memory. It can also calculate the final size of the zip file
before streaming it.}

%description %_description

%package -n     python3-%{package_name}
Summary:        %{summary}

%description -n python3-%{package_name} %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-%{package_name} tests


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import


%files -n python3-%{package_name} -f %{pyproject_files}


%changelog
* Sat Oct 05 2024 Kyle Bloom <kylejbloom@gmail.com> - 1.8.0-1
- Upgrade version to 1.8.0

* Sun Jul 14 2024 Kyle Bloom <kylejbloom@gmail.com> - 1.7.1-2
- Minor change to spec file

* Sat Jul 13 2024 Kyle Bloom <kylejbloom@gmail.com> - 1.7.1-1
- Initial package
